package com.isidroid.job_sender

import org.junit.Test

import org.junit.Assert.*
import java.util.UUID

/**
 * Example local unit test, which will execute on the development machine (host).
 *
 * See [testing documentation](http://d.android.com/tools/testing).
 */
class ExampleUnitTest {
    @Test
    fun addition_isCorrect() {
        val items = listOf(
            Item(parentId = "1"),
            Item(parentId = "1"),


            Item(parentId = "2"),
        )

        val data: Map<String, Int> = items.groupBy { it.parentId }.mapValues { it.value.size }
        println("$data")
    }
}

data class Item(val parentId: String, val id: String = UUID.randomUUID().toString())